.connect-section {
    padding: 110px 5%;
    background-color: var(--transparent-green);
}

.connect-section h2 {
    z-index: 2;
    position: relative;

    width: 640px;
    text-align: center;
}

.connect-section__content-wrapper {
    max-width: 1200px;
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}

.connect-section__decorate-icon {
    position: absolute;
    top: -25px;
    left: 25px;
}

.connect-section .wpcf7-form, .contact-intro-section .wpcf7-form {
    width: 100%;
    max-width: 815px;
    border: 1px solid var(--dark-green);
}

.connect-section .wpcf7-form input, .connect-section .wpcf7-form textarea,
.contact-intro-section .wpcf7-form input, .contact-intro-section .wpcf7-form textarea {
    width: 100%;

    border: none;
    outline: none;
    background-color: transparent;

    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
}

.connect-section .wpcf7-form input, .contact-intro-section .wpcf7-form input {
    padding: 20px 28px;
}

.connect-section .wpcf7-form textarea, .contact-intro-section .wpcf7-form textarea {
    height: 120px;
    resize: none;
}

.connect-section__form-field.textarea-form-field {
    padding: 25px 28px;
    position: relative;
}

.recaptcha-wrapper {
    position: absolute;
    left: 28px;
    bottom: 15px;
}

@media screen and (max-width: 450px) {

    .recaptcha-wrapper {
        left: 0;
        transform: scale(0.9)
    }
}

.connect-section__form-field {
    border-bottom: solid 1px var(--dark-green);
}

.connect-section__submit-btn {
    width: 100%;
    padding: 20px 24px;

    display: flex;
    align-items: center;
    gap: 10px;

    font-size: 16px;
    font-weight: 700;
    color: var(--green);

    position: relative;
    z-index: 2;
}

.connect-section__submit-btn svg, .connect-section__submit-btn path {
    overflow: visible;
    transition: all 0.2s ease;
    transform-origin: right;
}

.connect-section__submit-btn:disabled {
    color: var(--gray-500);
    cursor: default;
}

.connect-section__submit-field {
    cursor: pointer;
    position: relative;
}

.connect-section__submit-field:not(.disabled):hover .connect-section__bg-gradient {
    opacity: 1;
}

.connect-section__submit-field:not(.disabled):hover .connect-section__submit-btn {
    color: var(--white);
}

.connect-section__submit-field:not(.disabled):hover svg {
    margin-left: 15px;
}

.connect-section__submit-field:not(.disabled):hover .arrow-line {
    transform: scaleX(1.5) translateX(2px);
}

.connect-section__bg-gradient {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;

    width: 100%;
    height: 100%;

    opacity: 0;
    background: linear-gradient(147deg, #0D3135 0%, #1B818B 98.76%);

    transition: all .2s ease;
}

@media screen and (max-width: 1024px) {
    .connect-section h2 {
        width: 100%;
    }
}

.wpcf7 {
    width: 100%;
    display: grid;
    place-items: center;
}

/* Hide Contact Form 7 elements */
#submit-btn {
    display: none;
}

.wpcf7-spinner {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);

    background-color: var(--light-green);
}

/* Success Popup */
#cf7-success-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background-color: var(--green-05);

    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    z-index: -100;
    visibility: hidden;

    transition: all .2s ease;
}

#cf7-success-popup.active {
    opacity: 1;
    z-index: 1000;
    visibility: visible;
}

#cf7-success-popup .popup-content {
    padding: 60px;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;

    text-align: center;

    background-color: white;

    transform: translateY(10%);
    transition: all .2s ease;
}

#cf7-success-popup.active .popup-content {
    transform: translateY(0);
}

#cf7-success-popup .popup-image {
    width: 60px;
    height: 60px;
    -o-object-fit: contain;
    object-fit: contain;
}

#cf7-success-popup .popup-text-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

#cf7-success-popup .popup-title {
    max-width: 500px;
    font-size: clamp(24px, 4vw, 40px);
    font-weight: 800;
    line-height: normal;
}

#cf7-success-popup .popup-btn {
    min-width: 128px;
    padding: 12px 16px;

    font-size: 16px;
    font-weight: 700;

    color: var(--white);
    background: var(--green-gradient);

    text-transform: uppercase;
}

#cf7-success-popup #close-popup {
    margin-top: 10px;
    padding: 10px 20px;
}

.recaptcha-warning {
    font-size: 10px;
}

.recaptcha-warning a {
    color: var(--green)
}

.recaptcha-noindex {
    margin: -20px auto 0;
}
